Eraser 6.1.0.xxx crashed

Please post your support questions here.

Moderators: Eraser DevTeam, Eraser Moderators

Eraser 6.1.0.xxx crashed

Postby tensolutions » Mon Mar 26, 2012 5:09 pm

I'm a beginner on Eraser.
I installed Eraser 6.0.8.2280 on 2 PCs, OK.
I installed it on a Win 2003 Server, I was asked to install .NET Framework 3.5 before, OK after installing it.
Then, I attempted to install it on Win Server 2008 R2 Foundation: I can't, maybe I have to set Application-Server roles, in order to start .NET Framework 3.5, but I don't want to add other - unnecessary - applications.
So, I installed 6.1.0.xxxx (I attempted some versions): installation was OK.
But the program can't run, it crashes cleaning "Unused disk space" with a message (I translated from Italian):
Eraser stopped running. View details: (see the following for details, "Firma" means signature, "problema" = problem or event, "Ulteriori" and "aggiuntive" mean additional).
Thank you for your attention. Pietro Munari

Firma problema:
Nome evento problema: CLR20r3
Firma problema 01: eraser.exe
Firma problema 02: 6.1.0.2532
Firma problema 03: 4f6a17dc
Firma problema 04: System.Management
Firma problema 05: 4.0.0.0
Firma problema 06: 4ba1e140
Firma problema 07: da
Firma problema 08: 3f
Firma problema 09: System.Management.Management
Versione SO: 6.1.7601.2.1.0.272.33
ID impostazioni locali: 1040
Informazioni aggiuntive 1: b411
Ulteriori informazioni 2: b41190000327f8cc96fe1bafa8123881
Ulteriori informazioni 3: 1b9d
Ulteriori informazioni 4: 1b9d9cdbf0a37f75e4c7ee73d533762b
Leggere l'informativa sulla privacy online:
http://go.microsoft.com/fwlink/?linkid= ... cid=0x0410
Se l'informativa sulla privacy online non è disponibile, leggere quella offline:
C:\Windows\system32\it-IT\erofflps.txt
User avatar
tensolutions
 
Posts: 2
Joined: Mon Mar 26, 2012 4:28 pm
Location: Pont S. Martin, Italy

Re: Eraser 6.1.0.xxx crashed

Postby DavidHB » Mon Mar 26, 2012 6:26 pm

The latest stable version is 6.0.9.2343, and you should normally use that unless you wish to test development versions. The 6.1 build you were using was part of a sequence of builds in which Joel was doing and I was testing; it is not suitable for regular use. I didn't see your error on 2532, but your repeated installations may have created an issue. Also, 2532 uses .NET 4 rather than .NET 3.5, and in your circumstances that migration may not have happened smoothly

All in all, you need to uninstall whatever 6.1 build you are currently using. Then delete the task list and registry entries for Eraser; if you do not do this, any 6.0 build will crash when you install it. You will find information on how to do this in the FAQ; see the 8th paragraph of the 'Common Eraser Questions' topic.

Once your machine is clear of the current installation, I suggest that you download and install 6.0.9 and try that. If you still have a problem, please report the details. Although Joel may be able to interpret your error report (which came from .NET rather than the Eraser code), its seems best to get your installation into a known state before attempting a firm diagnosis.

David
I am not an Eraser programmer, but a long-time user; my views may not be the same as those of the Eraser programming team.
Before posting, please read the top 4 topics in the Eraser FAQ, which already provide many of the answers users need.
DavidHB
Eraser Wizard
 
Posts: 2166
Joined: Sat Jan 23, 2010 8:10 pm
Location: Isle of Wight, UK

Re: Eraser 6.1.0.xxx crashed

Postby tensolutions » Tue Mar 27, 2012 12:50 pm

Thank you, David.
I had already uninstalled any version, also removing any entry "Eraser" in RegEdit and any folder in \Users\Administrator\AppData\Local, before reading your answer (as I do for uninstalling other programs).
So, attempting to install again 6.0.9.2343, the message "You must use the Role Management Tool to install or configure Microsoft .NET Framework 3.5" appeared.
My problem is that I don’t want to install the full “Application Server” set of roles, I don’t need it, but that is what Microsoft’ help recommends.
I found the solution here: http://www.fryan0911.com/2009/08/you-must-use-role-management-tool-to.html : Start Server Manager -> choose Features -> enable the feature .NET Framework 3.5.1
After that, I installed Eraser and just ran it. :D
This could be useful for other users.
User avatar
tensolutions
 
Posts: 2
Joined: Mon Mar 26, 2012 4:28 pm
Location: Pont S. Martin, Italy

Re: Eraser 6.1.0.xxx crashed

Postby DavidHB » Tue Mar 27, 2012 4:59 pm

Thanks, Pietro. This is useful information, relating to an implementation of Eraser we do not hear about all that often.

I think your problem may have arisen because you were using it on Windows Server; the desktop variants of Windows customarily have the relevant version of .NET installed and active (or will install it if it is not present); the problems then arise when such an installation is broken ... :(

David
I am not an Eraser programmer, but a long-time user; my views may not be the same as those of the Eraser programming team.
Before posting, please read the top 4 topics in the Eraser FAQ, which already provide many of the answers users need.
DavidHB
Eraser Wizard
 
Posts: 2166
Joined: Sat Jan 23, 2010 8:10 pm
Location: Isle of Wight, UK


Return to Eraser Support

Who is online

Users browsing this forum: Bing [Bot] and 2 guests